//New Filter
export const ADD_NEW_FILTER_ON_LISTER = "ADD_NEW_FILTER_ON_LISTER";
//Manage School
export const GET_GRADES_LEVELS_REQUEST = "GET_GRADES_LEVELS_REQUEST";
export const GET_GRADES_LEVELS = "GET_GRADES_LEVELS";
export const GET_GRADES_LEVELS_ERROR = "GET_GRADES_LEVELS_ERROR";
export const GET_USER_BY_ID_REQUEST = "GET_USER_BY_ID_REQUEST";
export const GET_USER_BY_ID = "GET_USER_BY_ID";
export const GET_USER_BY_ID_ERROR = "GET_USER_BY_ID_ERROR";

//Report Managment
export const POST_ALL_REPORTS_REQUEST = "POST_ALL_REPORTS_REQUEST";
export const POST_ALL_REPORTS = "POST_ALL_REPORTS";
export const POST_ALL_REPORTS_ERROR = "POST_ALL_REPORTS_ERROR";
export const REPORT_BY_ID_REQUEST = "REPORT_BY_ID_REQUEST";
export const REPORT_BY_ID = "REPORT_BY_ID";
export const REPORT_BY_ID_ERROR = "REPORT_BY_ID_ERROR";
export const PARAMETER_BY_ID_REQUEST = "PARAMETER_BY_ID_REQUEST";
export const PARAMETER_BY_ID = "PARAMETER_BY_ID";
export const PARAMETER_BY_ID_ERROR = "PARAMETER_BY_ID_ERROR";

//Term Weekly Schedule Editor
export const GET_WEEKLY_SCHEDULE_GRADE_REQUEST =
  "GET_WEEKLY_SCHEDULE_GRADE_REQUEST";
export const GET_WEEKLY_SCHEDULE_GRADE_SUCCESS =
  "GET_WEEKLY_SCHEDULE_GRADE_SUCCESS";
export const GET_WEEKLY_SCHEDULE_GRADE_ERROR =
  "GET_WEEKLY_SCHEDULE_GRADE_ERROR";

export const GET_WEEKLY_SCHEDULE_ELEMENTS_REQUEST =
  "GET_WEEKLY_SCHEDULE_ELEMENTS_REQUEST";
export const GET_WEEKLY_SCHEDULE_ELEMENTS_SUCCESS =
  "GET_WEEKLY_SCHEDULE_ELEMENTS_SUCCESS";
export const GET_WEEKLY_SCHEDULE_ELEMENTS_ERROR =
  "GET_WEEKLY_SCHEDULE_ELEMENTS_ERROR";

export const GET_WEEKLY_SCHEDULE_REQUEST = "GET_WEEKLY_SCHEDULE_REQUEST";
export const GET_WEEKLY_SCHEDULE = "GET_WEEKLY_SCHEDULE";
export const GET_WEEKLY_SCHEDULE_ERROR = "GET_WEEKLY_SCHEDULE_ERROR";

export const ADD_TO_WEEKLY_SCHEDULE = "ADD_TO_WEEKLY_SCHEDULE";

export const SAVE_GRADE_ID = "SAVE_GRADE_ID";
export const DELETE_WEEKLY_SCHEDULE_ELEMENT_STORE =
  "DELETE_WEEKLY_SCHEDULE_ELEMENT_STORE";

export const ADD_WEEKLY_SCHEDULE_REQUEST = "ADD_WEEKLY_SCHEDULE_REQUEST";
export const ADD_WEEKLY_SCHEDULE_SUCCESS = "ADD_WEEKLY_SCHEDULE_SUCCESS";
export const ADD_WEEKLY_SCHEDULE_ERROR = "ADD_WEEKLY_SCHEDULE_ERROR";

export const GET_WEEKLY_SCHEDULE_DAYS_REQUEST =
  "GET_WEEKLY_SCHEDULE_DAYS_REQUEST";
export const GET_WEEKLY_SCHEDULE_DAYS = "GET_WEEKLY_SCHEDULE_DAYS";
export const GET_WEEKLY_SCHEDULE_DAYS_ERROR = "GET_WEEKLY_SCHEDULE_DAYS_ERROR";
export const GET_WEEKLY_SCHEDULE_PERIODS_REQUEST =
  "GET_WEEKLY_SCHEDULE_PERIODS_REQUEST";
export const GET_WEEKLY_SCHEDULE_PERIODS = "GET_WEEKLY_SCHEDULE_PERIODS";
export const GET_WEEKLY_SCHEDULE_PERIODS_ERROR =
  "GET_WEEKLY_SCHEDULE_PERIODS_ERROR";
export const GET_WEEKLY_SCHEDULE_GRADES_REQUEST =
  "GET_WEEKLY_SCHEDULE_GRADES_REQUEST";
export const GET_WEEKLY_SCHEDULE_GRADES = "GET_WEEKLY_SCHEDULE_GRADES";
export const GET_WEEKLY_SCHEDULE_GRADES_ERROR =
  "GET_WEEKLY_SCHEDULE_GRADES_ERROR";
export const GET_WEEKLY_SCHEDULE_COURSES_REQUEST =
  "GET_WEEKLY_SCHEDULE_COURSES_REQUEST";
export const GET_WEEKLY_SCHEDULE_COURSES = "GET_WEEKLY_SCHEDULE_COURSES";
export const GET_WEEKLY_SCHEDULE_COURSES_ERROR =
  "GET_WEEKLY_SCHEDULE_COURSES_ERROR";
export const GET_WEEKLY_SCHEDULE_CLASSES_REQUEST =
  "GET_WEEKLY_SCHEDULE_CLASSES_REQUEST";
export const GET_WEEKLY_SCHEDULE_CLASSES = "GET_WEEKLY_SCHEDULE_CLASSES";
export const GET_WEEKLY_SCHEDULE_CLASSES_ERROR =
  "GET_WEEKLY_SCHEDULE_CLASSES_ERROR";
export const SET_ID_DAY_BOOK = "SET_ID_DAY_BOOK";
export const SET_ID_GRADE_SELECT = "SET_ID_GRADE_SELECT";
export const SET_ID_COURSE_SELECT = "SET_ID_COURSE_SELECT";
export const GET_GRADES_WEEKLY_SCHEDULE_REQUEST =
  "GET_GRADES_WEEKLY_SCHEDULE_REQUEST";
export const GET_GRADES_WEEKLY_SCHEDULE = "GET_GRADES_WEEKLY_SCHEDULE";
export const GET_GRADES_WEEKLY_SCHEDULE_ERROR =
  "GET_GRADES_WEEKLY_SCHEDULE_ERROR";

//-----------Term Finalizations
export const MOVE_MARKS_SUCCESS = "MOVE_MARKS_SUCCESS";
export const GET_TERM_FINALIZATION_SUCCESS = "GET_TERM_FINALIZATION_SUCCESS";
export const GET_TERM_FINALIZATION_ERROR = "GET_TERM_FINALIZATION_ERROR";
export const GET_TERM_FINALIZATION_REQUEST = "GET_TERM_FINALIZATION_REQUES";
export const ASSESS_STUDENTS_REQUEST = "ASSESS_STUDENTS_REQUEST";
export const MOVE_MARKS_ERROR = "MOVE_MARKS_ERROR";
export const ASSESS_STUDENTS_SUCCESS = "ASSESS_STUDENTS_SUCCESS";
export const ASSESS_STUDENTS_ERROR = "ASSESS_STUDENTS_ERROR";
export const POST_TERM_FINALIZATION_ERROR = "POST_TERM_FINALIZATION_ERROR";
export const POST_TERM_FINALIZATION_SUCCESS = "POST_TERM_FINALIZATION_SUCCESS";
export const POST_TERM_FINALIZATION_REQUEST = "POST_TERM_FINALIZATION_REQUEST";
export const MOVE_MARKS_REQUEST = "MOVE_MARKS_REQUEST";
export const CHANGE_STUDENT_PASS = "CHANGE_STUDENT_PASS";
export const PASS_STUDENTS_REQUEST = "PASS_STUDENTS_REQUEST,";
export const PASS_STUDENTS_SUCCESS = "PASS_STUDENTS_SUCCESS,";
export const PASS_STUDENTS_ERROR = "PASS_STUDENTS_ERROR";
export const GET_TERM_FLAG_ERROR = "GET_TERM_FLAG_ERROR";
export const GET_TERM_FLAG_SUCCESS = "GET_TERM_FLAG_SUCCESS";
export const GET_TERM_FLAG_REQUEST = "GET_TERM_FLAG_REQUEST";
export const GET_DEACTIVATE_SUCCESS = "GET_DEACTIVATE_SUCCESS";
export const GET_DEACTIVATE_ERROR = "GET_DEACTIVATE_ERROR";
export const GET_DEACTIVATE_REQUEST = "GET_DEACTIVATE_REQUEST";
export const GET_LOCK_REQUEST = "GET_LOCK_REQUEST";
export const GET_LOCK_SUCCESS = "GET_LOCK_SUCCESS";
export const GET_LOCK_ERROR = "GET_LOCK_ERROR";

//Term Weekly Schedule viewer
export const GET_WEEKLY_SCHEDULE_VIEWER_REQUEST =
  "GET_WEEKLY_SCHEDULE_VIEWER_REQUEST";
export const GET_WEEKLY_SCHEDULE_VIEWER = "GET_WEEKLY_SCHEDULE_VIEWER";
export const GET_WEEKLY_SCHEDULE_VIEWER_ERROR =
  "GET_WEEKLY_SCHEDULE_VIEWER_ERROR";

//Term Weekly Schedule Validate
export const GET_WEEKLY_SCHEDULE_VALIDATE_REQUEST =
  "GET_WEEKLY_SCHEDULE_VALIDATE_REQUEST";
export const GET_WEEKLY_SCHEDULE_VALIDATE = "GET_WEEKLY_SCHEDULE_VALIDATE";
export const GET_WEEKLY_SCHEDULE_VALIDATE_ERROR =
  "GET_WEEKLY_SCHEDULE_VALIDATE_ERROR";

//Assign Student WITH Branches
export const GET_STUDENT_WITH_BRANCHES_REQUEST =
  "GET_STUDENT_WITH_BRANCHES_REQUEST";
export const GET_STUDENT_WITH_BRANCHES = "GET_STUDENT_WITH_BRANCHES";
export const GET_STUDENT_WITH_BRANCHES_ERROR =
  "GET_STUDENT_WITH_BRANCHES_ERROR";
export const GET_ALL_STUDENT_CLASSES_REQUEST =
  "GET_ALL_STUDENT_CLASSES_REQUEST";
export const GET_ALL_STUDENT_CLASSES = "GET_ALL_STUDENT_CLASSES";
export const GET_ALL_STUDENT_CLASSES_ERROR = "GET_ALL_STUDENT_CLASSES_ERROR";
export const GET_GRADES_BRANCHES_STUDENTS_REQUEST =
  "GET_GRADES_BRANCHES_STUDENTS_REQUEST";
export const GET_GRADES_BRANCHES_STUDENTS = "GET_GRADES_BRANCHES_STUDENTS";
export const GET_GRADES_BRANCHES_STUDENTS_ERROR =
  "GET_GRADES_BRANCHES_STUDENTS_ERROR";

//Filter
export const ADD_NEW_FILTER = "ADD_NEW_FILTER";
export const DELETE_NEW_FILTER = "DELETE_NEW_FILTER";
export const ADD_VALUES_TO_THE_FILTER = "ADD_VALUES_TO_THE_FILTER";
export const ADD_NAME_TO_THE_FILTER = "ADD_NAME_TO_THE_FILTER";
export const RESET_FILTERS = "RESET_FILTERS";

//UploadFile
export const UPLOAD_FILE_REQUEST = "UPLOAD_FILE_REQUEST";
export const UPLOAD_FILE_SUCCESS = "UPLOAD_FILE_SUCCESS";
export const UPLOAD_FILE_ERROR = "UPLOAD_FILE_ERROR";
export const IMPORT_FROM_FILE_REQUEST = "IMPORT_FROM_FILE_REQUEST";
export const IMPORT_FROM_FILE_SUCCESS = "IMPORT_FROM_FILE_SUCCESS";
export const IMPORT_FROM_FILE_ERROR = "IMPORT_FROM_FILE_ERROR";
export const INITIAL_RESPONSE = "INITIAL_RESPONSE";
export const MAPPING_DATA = "MAPPING_DATA";

//School Events
export const ADD_EDIT_SCHOOL_EVENTS_REQUEST = "ADD_EDIT_SCHOOL_EVENTS_REQUEST";
export const ADD_EDIT_SCHOOL_EVENTS_SUCCESS = "ADD_EDIT_SCHOOL_EVENTS_SUCCESS";
export const ADD_EDIT_SCHOOL_EVENTS_ERROR = "ADD_EDIT_SCHOOL_EVENTS_ERROR";
export const SCHOOL_EVENTS_BY_ID_REQUEST = "SCHOOL_EVENTS_BY_ID_REQUEST";
export const SCHOOL_EVENTS_BY_ID_SUCCESS = "SCHOOL_EVENTS_BY_ID_SUCCESS";
export const SCHOOL_EVENTS_BY_ID_ERROR = "SCHOOL_EVENTS_BY_ID_ERROR";

//Announcements
export const ANNOUNCEMENT_REAL_TIME_SUCCESS = "ANNOUNCEMENT_REAL_TIME_SUCCESS";
export const REPLACE_SEEN_ANNOUNCEMENT = "REPLACE_SEEN_ANNOUNCEMENT";
export const GET_ANNOUNCEMENTS_REQUEST = "GET_ANNOUNCEMENTS_REQUEST";
export const GET_ANNOUNCEMENTS_SUCCESS = "GET_ANNOUNCEMENTS_SUCCESS";
export const GET_ANNOUNCEMENTS_ERROR = "GET_ANNOUNCEMENTS_ERROR";
export const VOLUNTEER_IN_ANNOUNCEMENT_REQUEST =
  "VOLUNTEER_IN_ANNOUNCEMENT_REQUEST";
export const VOLUNTEER_IN_ANNOUNCEMENT_SUCCESS =
  "VOLUNTEER_IN_ANNOUNCEMENT_SUCCESS";
export const VOLUNTEER_IN_ANNOUNCEMENT_ERROR =
  "VOLUNTEER_IN_ANNOUNCEMENT_ERROR";
export const POST_ANNOUNCEMENTS_REQUEST = "POST_ANNOUNCEMENTS_REQUEST";
export const POST_ANNOUNCEMENTS_SUCCESS = "POST_ANNOUNCEMENTS_SUCCESS";
export const POST_ANNOUNCEMENTS_ERROR = "POST_ANNOUNCEMENTS_ERROR";
export const GET_VOLUNTEERS_REQUEST = "GET_VOLUNTEERS_REQUEST";
export const GET_VOLUNTEERS_SUCCESS = "GET_VOLUNTEERS_SUCCESS";
export const GET_VOLUNTEERS_ERROR = "GET_VOLUNTEERS_ERROR";
export const GET_USER_TYPES_EVENT_REQUEST = "GET_USER_TYPES_EVENT_REQUEST";
export const GET_USER_TYPES_EVENT_SUCCESS = "GET_USER_TYPES_EVENT_SUCCESS";
export const GET_USER_TYPES_EVENT_ERROR = "GET_USER_TYPES_EVENT_ERROR";
export const ADD_EDIT_ANNOUNCEMENT_SUCCESS = "ADD_EDIT_ANNOUNCEMENT_SUCCESS";
export const ADD_EDIT_ANNOUNCEMENT_REQUEST = "ADD_EDIT_ANNOUNCEMENT_REQUEST";
export const ADD_EDIT_ANNOUNCEMENT_ERROR = "ADD_EDIT_ANNOUNCEMENT_ERROR";
export const SINGLE_ANNOUNCEMENT_REQUEST = "SINGLE_ANNOUNCEMENT_REQUEST";
export const SINGLE_ANNOUNCEMENT_SUCCESS = "SINGLE_ANNOUNCEMENT_SUCCESS";
export const SINGLE_ANNOUNCEMENT_ERROR = "SINGLE_ANNOUNCEMENT_ERROR";
export const DELETE_ANNOUNCEMENT_REQUEST = "DELETE_ANNOUNCEMENT_REQUEST";
export const DELETE_ANNOUNCEMENT_SUCCESS = "DELETE_ANNOUNCEMENT_SUCCESS";
export const DELETE_ANNOUNCEMENT_ERROR = "DELETE_ANNOUNCEMENT_ERROR";
export const PUBLISH_ANNOUNCEMENT_REQUEST = "PUBLISH_ANNOUNCEMENT_REQUEST";
export const PUBLISH_ANNOUNCEMENT_SUCCESS = "PUBLISH_ANNOUNCEMENT_SUCCESS";
export const PUBLISH_ANNOUNCEMENT_ERROR = "PUBLISH_ANNOUNCEMENT_ERROR";
export const REMOVE_POST_ANNOUNCEMENT_ASYNC = "REMOVE_POST_ANNOUNCEMENT_ASYNC";
export const REMOVE_ANNOUNCEMENT_ASYNC = "REMOVE_ANNOUNCEMENT_ASYNC";
export const ACCEPT_REJECT_VOLUNTEERS_REQUEST =
  "ACCEPT_REJECT_VOLUNTEERS_REQUEST";
export const ACCEPT_REJECT_VOLUNTEERS_SUCCESS =
  "ACCEPT_REJECT_VOLUNTEERS_SUCCESS";
export const ACCEPT_REJECT_VOLUNTEERS_ERROR = "ACCEPT_REJECT_VOLUNTEERS_ERROR";
export const REMOVE_IMAGE_FROM_ANNOUNCEMENT = "REMOVE_IMAGE_FROM_ANNOUNCEMENT";
export const ADD_EDIT_AND_PUBLISH_ANNOUNCEMENT_SUCCESS =
  "ADD_EDIT_AND_PUBLISH_ANNOUNCEMENT_SUCCESS";
export const ADD_EDIT_AND_PUBLISH_ANNOUNCEMENT_REQUEST =
  "ADD_EDIT_AND_PUBLISH_ANNOUNCEMENT_REQUEST";
export const ADD_EDIT_AND_PUBLISH_ANNOUNCEMENT_ERROR =
  "ADD_EDIT_AND_PUBLISH_ANNOUNCEMENT_ERROR";

export const GET_USERS_FROM_USER_REQUEST = "GET_USERS_FROM_USER_REQUEST";
export const GET_USERS_FROM_USER_SUCCESS = "GET_USERS_FROM_USER_SUCCESS";
export const GET_USERS_FROM_USER_ERROR = "GET_USERS_FROM_USER_ERROR";

export const CHECK_USER = "CHECK_USER";
export const SAVE_USERS_FROM_USER_REQUEST = "SAVE_USERS_FROM_USER_REQUEST";
export const SAVE_USERS_FROM_USER_SUCCESS = "SAVE_USERS_FROM_USER_SUCCESS";
export const SAVE_USERS_FROM_USER_ERROR = "SAVE_USERS_FROM_USER_ERROR";

//--------Report Card-----------
export const ADD_NEW_PAGE = "ADD_NEW_PAGE";
export const ADD_ITEMS_TO_PAGE = "ADD_ITEMS_TO_PAGE";
export const ADD_NAME_TO_STORE = "ADD_NAME_TO_STORE";
export const DELETE_ITEM_FROM_PAGE = "DELETE_ITEM_FROM_PAGE";

export const AVAILABLE_ITEMS_REQUEST = "AVAILABLE_ITEMS_REQUEST";
export const AVAILABLE_ITEMS_SUCCESS = "AVAILABLE_ITEMS_SUCCESS";
export const AVAILABLE_ITEMS_ERROR = "AVAILABLE_ITEMS_ERROR";

export const AVAILABLE_VALUES_REQUEST = "AVAILABLE_VALUES_REQUEST";
export const AVAILABLE_VALUES_SUCCESS = "AVAILABLE_VALUES_SUCCESS";
export const AVAILABLE_VALUES_ERROR = "AVAILABLE_VALUES_ERROR";

export const ADD_ITEMS_TO_STORE = "ADD_ITEMS_TO_STORE";

export const CREATE_NEW_TEMPLATE_REQUEST = "CREATE_NEW_TEMPLATE_REQUEST";
export const CREATE_NEW_TEMPLATE_SUCCESS = "CREATE_NEW_TEMPLATE_SUCCESS";
export const CREATE_NEW_TEMPLATE_ERROR = "CREATE_NEW_TEMPLATE_ERROR";

export const SHOW_TEMPLATE_BY_ID_REQUEST = "SHOW_TEMPLATE_BY_ID_REQUEST";
export const SHOW_TEMPLATE_BY_ID_SUCCESS = "SHOW_TEMPLATE_BY_ID_SUCCESS";
export const SHOW_TEMPLATE_BY_ID_ERROR = "SHOW_TEMPLATE_BY_ID_ERROR";

export const DELETE_TEMPLATE_REQUEST = "DELETE_TEMPLATE_REQUEST";
export const DELETE_TEMPLATE_SUCCESS = "DELETE_TEMPLATE_SUCCESS";
export const DELETE_TEMPLATE_ERROR = "DELETE_TEMPLATE_ERROR";
export const ADD_ITEMS_SELECTED_PAGES = "ADD_ITEMS_SELECTED_PAGES";
export const ADD_STUDENT_COMMENT = "ADD_STUDENT_COMMENT";

export const STUDENT_TEMPLATE_REQUEST = "STUDENT_TEMPLATE_REQUEST";
export const STUDENT_TEMPLATE_SUCCESS = "STUDENT_TEMPLATE_SUCCESS";
export const STUDENT_TEMPLATE_ERROR = "STUDENT_TEMPLATE_ERROR";

export const STUDENT_TEMPLATE_PRINT_REQUEST = "STUDENT_TEMPLATE_PRINT_REQUEST";
export const STUDENT_TEMPLATE_PRINT_SUCCESS = "STUDENT_TEMPLATE_PRINT_SUCCESS";
export const STUDENT_TEMPLATE_PRINT_ERROR = "STUDENT_TEMPLATE_PRINT_ERROR";

export const STUDENT_TEMPLATE_UPDATE_COMMENT_REQUEST =
  "STUDENT_TEMPLATE_UPDATE_COMMENT_REQUEST";
export const STUDENT_TEMPLATE_UPDATE_COMMENT_SUCCESS =
  "STUDENT_TEMPLATE_UPDATE_COMMENT_SUCCESS";
export const STUDENT_TEMPLATE_UPDATE_COMMENT_ERROR =
  "STUDENT_TEMPLATE_UPDATE_COMMENT_ERROR";

export const GET_TEMPLATE_SEMESTERS_REQUEST = "GET_TEMPLATE_SEMESTERS_REQUEST";
export const GET_TEMPLATE_SEMESTERS_SUCCESS = "GET_TEMPLATE_SEMESTERS_SUCCESS";
export const GET_TEMPLATE_SEMESTERS_ERROR = "GET_TEMPLATE_SEMESTERS_ERROR";
export const GET_TEMPLATE_EVALUATION_TYPES_REQUEST =
  "GET_TEMPLATE_EVALUATION_TYPES_REQUEST";
export const GET_TEMPLATE_EVALUATION_TYPES_SUCCESS =
  "GET_TEMPLATE_EVALUATION_TYPES_SUCCESS";
export const GET_TEMPLATE_EVALUATION_TYPES_ERROR =
  "GET_TEMPLATE_EVALUATION_TYPES_ERROR";

export const ADD_NUMBER_SEMESTERS = "ADD_NUMBER_SEMESTERS";
export const ADD_NAME_SEMESTERS = "ADD_NAME_SEMESTERS";
export const SHOW_SEMESTER_OBJECT = "SHOW_SEMESTER_OBJECT";
export const ADD_TERMS_ITEMS_TO_SEMESTERS = "ADD_TERMS_ITEMS_TO_SEMESTERS";
export const ADD_EVALUATION_TYPE_ITEMS_TO_SEMESTERS =
  "ADD_EVALUATION_TYPE_ITEMS_TO_SEMESTERS";
export const ADD_WEIGHT_TO_TERMS = "ADD_WEIGHT_TO_TERMS";
export const ADD_WEIGHT_TO_EVALUATION_TYPE = "ADD_WEIGHT_TO_EVALUATION_TYPE";
export const ADD_NEW_EVALUATION_TYPE = "ADD_NEW_EVALUATION_TYPE";
export const EDIT_WEEKLY_SCHEDULE_ELEMENT_STORE =
  "EDIT_WEEKLY_SCHEDULE_ELEMENT_STORE";

export const EMPTY_TEMPLATE_STORE = "EMPTY_TEMPLATE_STORE";
export const CALCULATE_HEIGHT_IN_PAGES = "CALCULATE_HEIGHT_IN_PAGES";
export const FILTER_ALIGNMENT_IN_PAGE = "FILTER_ALIGNMENT_IN_PAGE";
export const SHOW_EVALUATION_TYPE_OBJ = "SHOW_EVALUATION_TYPE_OBJ";
export const ADD_EVALUATION_TYPE_CHILDREN_TO_ITEMS =
  "ADD_EVALUATION_TYPE_CHILDREN_TO_ITEMS";
export const SHOW_EVALUATION_TYPE_CHILD = "SHOW_EVALUATION_TYPE_CHILD";
export const ADD_WEIGHT_TO_EVALUATION_TYPE_CHILDREN =
  "ADD_WEIGHT_TO_EVALUATION_TYPE_CHILDREN";
export const ADD_TOP_HEADER_TO_STORE = "ADD_TOP_HEADER_TO_STORE";
export const SHOW_OBJECT_TO_EDIT = "SHOW_OBJECT_TO_EDIT";
export const EMPTY_OBJECT_TO_EDIT = "EMPTY_OBJECT_TO_EDIT";
export const DELETE_ITEM_PART = "DELETE_ITEM_PART";
export const FILL_TERM_ITEMS_DISABLE = "FILL_TERM_ITEMS_DISABLE";
export const EMPTY_TERM_ITEMS_DISABLE = "EMPTY_TERM_ITEMS_DISABLE";
export const EMPTY_EVALUATION_TYPE_ITEMS_DISABLE =
  "EMPTY_EVALUATION_TYPE_ITEMS_DISABLE";
export const FILL_EVALUATION_TYPE_ITEMS_DISABLE =
  "FILL_EVALUATION_TYPE_ITEMS_DISABLE";

export const GET_ATTENDANCE_REPORTS_REQUEST = "GET_ATTENDANCE_REPORTS_REQUEST";
export const GET_ATTENDANCE_REPORTS_SUCCESS = "GET_ATTENDANCE_REPORTS_SUCCESS";
export const GET_ATTENDANCE_REPORTS_ERROR = "GET_ATTENDANCE_REPORTS_ERROR";
export const EMPTY_ATTENDANCE_REPORT = "EMPTY_ATTENDANCE_REPORT";

//synchronize section
export const GET_SYNCHRONIZE_ACTION_REQUEST = "GET_SYNCHRONIZE_ACTION_REQUEST";
export const GET_SYNCHRONIZE_ACTION_SUCCESS = "GET_SYNCHRONIZE_ACTION_SUCCESS";
export const GET_SYNCHRONIZE_ACTION_ERROR = "GET_SYNCHRONIZE_ACTION_ERROR";

export const SELECT_SCHOOL_CLASS_SOURCE = "SELECT_SCHOOL_CLASS_SOURCE";
export const SELECT_COURSES_SOURCE = "SELECT_COURSES_SOURCE";
export const SELECT_SECTIONS_SOURCE = "SELECT_SECTIONS_SOURCE";
export const SELECT_SCHOOL_CLASS_DESTINATION =
  "SELECT_SCHOOL_CLASS_DESTINATION";
export const SELECT_COURSES_DESTINATION = "SELECT_COURSES_DESTINATION";
export const SELECT_SECTIONS_DESTINATION = "SELECT_SECTIONS_DESTINATION";
export const DELETE_SOURCE = "DELETE_SOURCE";
export const DELETE_DESTINATION = "DELETE_DESTINATION";
export const DELETE_SECTION_DESTINATION = "DELETE_SECTION_DESTINATION";
export const SELECT_VALUES_SECTION_DESTINATION =
  "SELECT_VALUES_SECTION_DESTINATION";

export const SAVE_SYNCHRONIZE_RAB_REQUEST = "SAVE_SYNCHRONIZE_RAB_REQUEST";
export const SAVE_SYNCHRONIZE_RAB_SUCCESS = "SAVE_SYNCHRONIZE_RAB_SUCCESS";
export const SAVE_SYNCHRONIZE_RAB_ERROR = "SAVE_SYNCHRONIZE_RAB_ERROR";

export const SELECTED_IDS = "SELECTED_IDS";

export const TRACK_RECORD_IN_STORE_ASYNC = "TRACK_RECORD_IN_STORE_ASYNC";
export const SET_FLAG = "SET_FLAG";

export const ADD_ITEMS_TO_PAGE_2 = "ADD_ITEMS_TO_PAGE_2";

export const SAVE_FORMAT_AS_PDF_REQUEST = "SAVE_FORMAT_AS_PDF_REQUEST";
export const SAVE_FORMAT_AS_PDF_SUCCESS = "SAVE_FORMAT_AS_PDF_SUCCESS";
export const SAVE_FORMAT_AS_PDF_ERROR = "SAVE_FORMAT_AS_PDF_ERROR";

export const EMPTY_SOURCE_FILE_NAME = "EMPTY_SOURCE_FILE_NAME";

export const STUDENTS_ERRORS_REQUEST = "STUDENTS_ERRORS_REQUEST";
export const STUDENTS_ERRORS_SUCCESS = "STUDENTS_ERRORS_SUCCESS";
export const STUDENTS_ERRORS_ERROR = "STUDENTS_ERRORS_ERROR";

export const SEND_TO_PARENT_APP_REQUEST = "SEND_TO_PARENT_APP_REQUEST";
export const SEND_TO_PARENT_APP_SUCCESS = "SEND_TO_PARENT_APP_SUCCESS";
export const SEND_TO_PARENT_APP_ERROR = "SEND_TO_PARENT_APP_ERROR";

export const FETCH_ACCEPTED_USER_TYPES_REQUEST =
  "FETCH_ACCEPTED_USER_TYPES_REQUEST";
export const FETCH_ACCEPTED_USER_TYPES_SUCCESS =
  "FETCH_ACCEPTED_USER_TYPES_SUCCESS";
export const FETCH_ACCEPTED_USER_TYPES_ERROR =
  "FETCH_ACCEPTED_USER_TYPES_ERROR";

export const AVAILABLE_USERS_REQUEST = "AVAILABLE_USERS_REQUEST";
export const AVAILABLE_USERS_SUCCESS = "AVAILABLE_USERS_SUCCESS";
export const AVAILABLE_USERS_ERROR = "AVAILABLE_USERS_ERROR";

export const SAVE_AVAILABLE_USERS_REQUEST = "SAVE_AVAILABLE_USERS_REQUEST";
export const SAVE_AVAILABLE_USERS_SUCCESS = "SAVE_AVAILABLE_USERS_SUCCESS";
export const SAVE_AVAILABLE_USERS_ERROR = "SAVE_AVAILABLE_USERS_ERROR";

export const EMPTY_AVAILABLE_USERS = "EMPTY_AVAILABLE_USERS";
